@ECHO OFF
:: This batch file makes a backup of Fileaze's settings, including jobs,
:: by exporting the registry key "HKEY_CURRENT_USER\Software\Resolware"
:: to a .REG file named "FileazeBackup.reg".


:: If a previous backup exists, rename it to "FileazeBackup.old"
:: after removing an existing "FileazeBackup.old" version.
IF EXIST "FileazeBackup.reg" (
	ATTRIB -H -R -S "FileazeBackup.*"
	IF EXIST "FileazeBackup.old" DEL "FileazeBackup.old"
	REN "FileazeBackup.reg" *.old
)


:: Export the registry key to "FileazeBackup.reg"
START REGEDIT.EXE /E "FileazeBackup.reg" "HKEY_CURRENT_USER\Software\Resolware"


:: Done
GOTO:EOF
